> For the complete documentation index, see [llms.txt](https://developer.vario-software.de/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.vario-software.de/api-reference/umlagerung.md).

# Umlagerung

Process stock transfers in VARIO Cloud via API, handling scans, quantities, storage bins, pick trolleys, serial numbers and transit stock movements.

Stock transfer.

## POST /wms/stock-transfer/process-input

>

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.42.0"},"tags":[{"name":"Umlagerung","description":"Stock transfer."}],"servers":[{"url":"api.example.com"}],"paths":{"/wms/stock-transfer/process-input":{"post":{"tags":["Umlagerung"],"operationId":"processInput","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/erp-wms-StockTransferProcessingRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/erp-wms-StockTransferProcessingResponse"}}}}}}}},"components":{"schemas":{"erp-wms-StockTransferProcessingRequest":{"properties":{"inputData":{"type":"string","description":"User input or scan."},"stockTransferType":{"type":"string","description":"Stock transfer types.","enum":["FROM_TRANSIT","TO_TRANSIT"]},"pickTrolleyId":{"type":"integer","format":"int64","description":"Current trolley."},"quantity":{"type":"number","description":"Quantity change."},"processingAction":{"type":"string","description":"Special action during the processing of picklists.","enum":["NONE","END"]},"articleId":{"type":"integer","format":"int64","description":"Current article identifier."},"storageBinId":{"type":"integer","format":"int64","description":"Target storage bin identifier."},"articleSerialNumberId":{"type":"integer","format":"int64","description":"Serial number identifier."}},"required":["stockTransferType"]},"erp-wms-StockTransferProcessingResponse":{"properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"stockTransferType":{"type":"string","description":"Stock transfer types.","enum":["FROM_TRANSIT","TO_TRANSIT"]},"storageBinRef":{"$ref":"#/components/schemas/erp-stock-StorageBinRef"},"pickTrolleyRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"article":{"$ref":"#/components/schemas/erp-product-Article"},"stockInPickTrolley":{"$ref":"#/components/schemas/erp-stock-Stock"},"stockInStorageBin":{"$ref":"#/components/schemas/erp-stock-Stock"},"lastBookedSerialNumber":{"$ref":"#/components/schemas/erp-product-ArticleSerialNumber"},"stockInPickTrolleyList":{"type":"array","description":"All articles in the trolley.","items":{"$ref":"#/components/schemas/erp-wms-ArticleTrolleyStockInfo"}},"showStorageBin":{"type":"boolean","default":false,"description":"Should storage bins be shown?"},"workbenchStorageBinRefs":{"type":"array","description":"Workbench storage bins of fabrication orders.","items":{"$ref":"#/components/schemas/erp-wms-StockTransferProcessingResponse.WorkbenchStorageBinRef"}}}},"core-api-LocalizeableMessage":{"description":"localizeable message","properties":{"messageCode":{"type":"string","description":"Internal unique identifier/key for this message"},"messageParameters":{"type":"object","additionalProperties":{"type":"object","description":"list of parameters to fill a formattable message"},"description":"list of parameters to fill a formattable message"},"formattedMessage":{"type":"string","description":"formatted message (default language)"}}},"erp-stock-StorageBinRef":{"description":"Storage bin.","properties":{"id":{"type":"integer","format":"int64","description":"Unique identifier."},"displayName":{"type":"string","description":"Display name."},"routePosition":{"type":"integer","format":"int32","description":"Route position."},"color":{"type":"string","description":"Display color."},"storageRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"}}},"core-api-ApiObjectReference":{"description":"Parent category.","properties":{"id":{"type":"string","description":"Identifier"},"label":{"type":"string","description":"a label","readOnly":true},"description":{"type":"string","description":"a short description","readOnly":true},"active":{"type":"boolean","description":"Active.","readOnly":true}},"required":["id"]},"erp-product-Article":{"properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"active":{"type":"boolean","default":true,"description":"active","readOnly":true},"baseArticle":{"type":"boolean","default":true,"description":"Is this the product's base article?","readOnly":true},"productType":{"type":"string","description":"Article types.","enum":["WITH_STOCK","WITHOUT_STOCK","SERVICE_ARTICLE","SERVICE_CONTINGENT","ASSEMBLY_GROUP","JUMBO","SHIPPING_COSTS","VARIANT_MAIN_ARTICLE"],"readOnly":true},"priceBase":{"type":"string","description":"Price base.","enum":["NET_PRICE","GROSS_PRICE"]},"serialType":{"type":"string","description":"Article serial type.","enum":["NONE","SERIAL_NUMBER","LOT","BEST_BEFORE","DOUBLE_SERIAL_NUMBER"],"readOnly":true},"expiryDateType":{"type":"string","description":"Expiry date type for serial articles.","enum":["NONE","BEST_BEFORE_DATE","EXPIRATION_DATE"],"readOnly":true},"minimumRemainingDaysBeforeExpiryDateOnGoodsReceipt":{"type":"integer","format":"int32","description":"Minimum remaining shelf life incoming (days): minimum remaining shelf life in days an article must still have when booked into a sales storage.","readOnly":true},"minimumRemainingDaysBeforeExpiryDateForGoodsIssued":{"type":"integer","format":"int32","description":"Minimum remaining shelf life outgoing (days): minimum remaining shelf life in days an article must still have when sold.","readOnly":true},"warrantyInMonths":{"type":"integer","format":"int32","description":"Warranty in months.","readOnly":true},"lotOnlyRequiredWhenBookedToSalesStorage":{"type":"boolean","default":false,"description":"A lot must be assigned when booking into a sales storage (for serial types LOT and BEST_BEFORE).","readOnly":true},"serialNumberLabelingType":{"type":"string","description":"Serial number labeling type.","enum":["MANUAL","AUTOMATIC_ON_SUPPLIER_ORDER","AUTOMATIC_ON_SUPPLIER_DELIVERY"],"readOnly":true},"number":{"type":"string","description":"unique product number","maxLength":255,"minLength":0},"sellable":{"type":"boolean","default":true,"description":"is this product sellable"},"purchasable":{"type":"boolean","default":true,"description":"is this product purchasable"},"solvable":{"type":"boolean","default":false,"description":"is this product solvable to another package-variant"},"mergeable":{"type":"boolean","default":false,"description":"is this product mergeable to another package-variant"},"salesUnit":{"type":"number","description":"Sales unit."},"grossMetric":{"$ref":"#/components/schemas/erp-product-Article.Metric"},"netMetric":{"$ref":"#/components/schemas/erp-product-Article.Metric"},"grossVolumeInCubicMeters":{"type":"number","description":"gross Volume in cubic meters"},"productUnit":{"$ref":"#/components/schemas/common-masterdata-UnitTypeReference"},"capacity":{"type":"number","description":"capacity"},"capacityUnit":{"$ref":"#/components/schemas/common-masterdata-UnitTypeReference"},"baseCapacity":{"type":"number","description":"base capacity"},"baseCapacityUnit":{"$ref":"#/components/schemas/common-masterdata-UnitTypeReference"},"productRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"productGroupRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"netSalesPrice":{"type":"number","description":"net sales prices"},"grossSalesPrice":{"type":"number","description":"gross sales prices"},"taxSchemaRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"deliveryMethodRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"custom":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"},"basePriceUnit":{"type":"number","description":"Base price unit."},"discountGroupRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"deliverable":{"type":"boolean","default":true,"description":"Is the article still deliverable?"},"customsTariffNumber":{"type":"string","description":"Customs tariff number.","maxLength":15,"minLength":0,"readOnly":true},"countryOfOriginRef":{"$ref":"#/components/schemas/common-masterdata-CountryReference"},"tags":{"type":"array","description":"Product tags.","items":{"$ref":"#/components/schemas/common-tag-TagDto"}},"listingId":{"type":"string","description":"Listing identifier."},"taxLiabilityReversed":{"type":"boolean","default":false,"description":"Is the tax liability reversed under §13b UStG?"},"sellableWithoutStock":{"type":"boolean","default":false,"description":"is this product sellable without any quantity at the stock"},"listed":{"type":"boolean","default":true,"description":"Should the article be listed?"},"listingState":{"type":"string","description":"Listing synchronization status.","enum":["DISABLED","NEED_SYNCHRONIZE","QUEUED_FOR_SYNCHRONIZE","SYNCHRONIZED","ERRONEOUS","NEED_DELETION","QUEUED_FOR_DELETION"],"readOnly":true},"listingStateChangeTime":{"type":"string","format":"date-time","description":"Last listingState update.","readOnly":true},"identifiers":{"type":"array","description":"all (external) product numbers (SKU, EAN, ...)","items":{"$ref":"#/components/schemas/erp-product-ArticleIdentifier"}},"name":{"type":"string","description":"name of this product"},"alternativeName":{"type":"string","description":"alternative name of this product"},"description":{"type":"string","description":"description of this product"},"listingDescriptionCustom":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"},"availabilityDetermination":{"$ref":"#/components/schemas/erp-product-ArticleAvailabilityDetermination"},"listingCustom":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"},"targetTradingMargin":{"type":"number","description":"Target trading margin."},"languageCode":{"type":"string","description":"Restriction to a country."},"dangerousGoodInformation":{"$ref":"#/components/schemas/erp-product-DangerousGoodInformation"},"dangerousGoods":{"type":"boolean","default":false,"description":"The article is dangerous goods."},"availableAlone":{"type":"boolean","default":true,"description":"Is the article deliverable on its own?"},"pickingType":{"type":"string","default":"ACCORDING_TO_TEMPLATE","description":"Defines how an article may be picked.","enum":["ACCORDING_TO_TEMPLATE","PICKING_ALLOWED","PICKING_NOT_ALLOWED","ONLY_SINGLE_ORDER_PICKING_ALLOWED","ONLY_COLLECTIVE_ORDER_PICKING_ALLOWED"]},"workUnitInMinutes":{"type":"integer","format":"int32","description":"Work unit in minutes.","minimum":0},"initialLastPurchasePrice":{"type":"number","description":"Last purchase price (initial value)."},"initialAvgPurchasePrice":{"type":"number","description":"Average purchase price (initial value)."},"determineAvgPurchasePrice":{"type":"boolean","default":true,"description":"Should the average purchase price be calculated?"},"commissionable":{"type":"boolean","default":true,"description":"Is this article eligible for commission?"},"cashDiscountable":{"type":"boolean","default":true,"description":"Is this article eligible for the payment discount?"},"discountable":{"type":"boolean","default":true,"description":"Is this article eligible for discount?"},"contingentArticleRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"printWarningIfNoContingentAvailable":{"type":"boolean","default":true,"description":"Only for quota articles: should the billing print a note that no quota is available?"},"freelyPickable":{"type":"boolean","default":false,"description":"Freely pickable."},"shippingLabelPrinting":{"type":"boolean","default":false,"description":"Shipping label printing."},"permissibleForOrderProposal":{"type":"boolean","default":true,"description":"Eligible for inclusion in order proposals."},"dropShippingPolicy":{"type":"string","default":"STORAGE","description":"Defines whether and how an article may be sold by drop shipping.","enum":["ANY","DROP_SHIPPING","STORAGE","STORAGE_WITH_FALLBACK_TO_DROP_SHIPPING"]},"fabrication":{"type":"boolean","default":false,"description":"Fabrication."},"onlyManualFabrication":{"type":"boolean","default":false,"description":"Manual fabrication only."},"fabricationOfComponents":{"type":"string","description":"Component fabrication.","enum":["NEVER","COMPLETELY_IF_NECESSARY","REQUIRED_QUANTITY_IF_NECESSARY","ALWAYS"]},"defaultFabricationCost":{"type":"number","description":"Predefined production costs."},"printLabelSettings":{"$ref":"#/components/schemas/erp-product-ArticlePrintLabelSettings"},"manufacturerRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"responsibleUserRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"manufacturerArticleNumber":{"type":"string","description":"Article number."},"needsAssessmentOnlyOnReservationBasis":{"type":"boolean","default":false,"description":"Demand determination based on reservations only."},"onGoodsArrivalConvertIntoBundleArticleRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"remark":{"type":"string","description":"Special remark."},"note":{"type":"string","description":"Note."},"forcedRecommendedRetailPrice":{"type":"boolean","description":"Is the recommended retail price mandatory?"},"articleAssetInformation":{"$ref":"#/components/schemas/erp-product-ArticleAssetInformation"},"returnable":{"type":"boolean","default":true,"description":"Is this returnable?"},"storageInfo":{"type":"string","description":"Kommissionierungshinweis","maxLength":2147483647,"minLength":0},"priceLookUpCode":{"type":"string","description":"Price look-up code (PLU)."}},"required":["deliverable","dropShippingPolicy","productGroupRef"]},"core-api-MetaInfo":{"description":"MetaInformations for this Object","properties":{"createdAt":{"type":"string","format":"date-time","description":"Created At Timestamp","readOnly":true},"createdFrom":{"type":"string","description":"TenantUser-Identifier of the creator","readOnly":true},"updatedAt":{"type":"string","format":"date-time","description":"Last Updated AT Timestamp","readOnly":true},"updatedFrom":{"type":"string","description":"TenantUser-Identifier of most recent updater","readOnly":true}}},"erp-product-Article.Metric":{"description":"weight and size w.o. packaging","properties":{"weight":{"type":"number","description":"weight"},"weightUnit":{"$ref":"#/components/schemas/common-masterdata-UnitTypeReference"},"sizeUnit":{"$ref":"#/components/schemas/common-masterdata-UnitTypeReference"},"sizeX":{"type":"number","description":"size"},"sizeY":{"type":"number","description":"size"},"sizeZ":{"type":"number","description":"size"}}},"common-masterdata-UnitTypeReference":{"description":"net weight unit","properties":{"id":{"type":"integer","format":"int64","description":"unit type id"},"name":{"type":"string","description":"descriptive name","maxLength":255,"minLength":0},"abbreviation":{"type":"string","description":"unique abbreviation","maxLength":255,"minLength":0}},"required":["abbreviation"]},"unknownservice-unknownmodule-JsonNode":{"description":"Search dialog.","properties":{"empty":{"type":"boolean"},"array":{"type":"boolean"},"null":{"type":"boolean"},"object":{"type":"boolean"},"float":{"type":"boolean"},"missingNode":{"type":"boolean"},"valueNode":{"type":"boolean"},"container":{"type":"boolean"},"integralNumber":{"type":"boolean"},"binary":{"type":"boolean"},"nodeType":{"type":"string","enum":["ARRAY","BINARY","BOOLEAN","MISSING","NULL","NUMBER","OBJECT","POJO","STRING"]},"string":{"type":"boolean"},"pojo":{"type":"boolean"},"short":{"type":"boolean"},"int":{"type":"boolean"},"long":{"type":"boolean"},"double":{"type":"boolean"},"bigDecimal":{"type":"boolean"},"bigInteger":{"type":"boolean"},"textual":{"type":"boolean","deprecated":true},"boolean":{"type":"boolean"},"floatingPointNumber":{"type":"boolean"},"number":{"type":"boolean"},"embeddedValue":{"type":"boolean"}}},"common-masterdata-CountryReference":{"description":"Country of origin.","properties":{"id":{"type":"integer","format":"int64","description":"Country identifier."},"isoAlpha2":{"type":"string","description":"Country ISO Alpha-2 code."},"isoAlpha3":{"type":"string","description":"Country ISO Alpha-3 code."},"label":{"type":"string","description":"Country label.","readOnly":true}}},"common-tag-TagDto":{"description":"List of tags","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"type":{"type":"string","description":"Tag types.","enum":["COMMON","ACCOUNT","PRODUCT","ASSET","DOCUMENT","OPEN_ITEM","CRM_COMMON","CRM_TASK","CRM_DEAL","CRM_PROJECT","DMS_SHELF_DOCUMENT"]},"label":{"type":"string","description":"Tag label."},"color":{"type":"string","description":"Color for displaying the tag."},"editColor":{"type":"string","description":"Color in the management UI."},"searchColor":{"type":"string","description":"Color in the search UI."},"tagGroup":{"$ref":"#/components/schemas/core-api-ApiCreatableReference"}},"required":["label","type"]},"core-api-ApiCreatableReference":{"description":"Relation type","properties":{"id":{"type":"string","description":"Identifier"},"label":{"type":"string","description":"a label"},"description":{"type":"string","description":"a short description","readOnly":true}}},"erp-product-ArticleIdentifier":{"description":"all (external) product numbers (SKU, EAN, ...)","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"value":{"type":"string","description":"identifier","maxLength":255,"minLength":0},"name":{"type":"string","description":"identifier type","maxLength":255,"minLength":0},"defaultArticleIdentifier":{"type":"boolean","default":false,"description":"Is this the default article identifier?"}},"required":["defaultArticleIdentifier","name","value"]},"erp-product-ArticleAvailabilityDetermination":{"description":"Availability determination for the article master data and the stock view.","properties":{"inStock":{"type":"string","description":"How the stock is handled.","enum":["IGNORE","ADD","SUBTRACT"]},"reserved":{"type":"string","description":"How reserved quantities are handled.","enum":["IGNORE","ADD","SUBTRACT"]},"ordered":{"type":"string","description":"How ordered quantities are handled.","enum":["IGNORE","ADD","SUBTRACT"]},"inPicking":{"type":"string","description":"How quantities in picking are handled.","enum":["IGNORE","ADD","SUBTRACT"]},"reporting":{"type":"string","description":"How reorder levels are handled.","enum":["IGNORE","ADD","SUBTRACT"]}}},"erp-product-DangerousGoodInformation":{"description":"Dangerous goods information.","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"description":{"type":"string","description":"description"},"shippingName":{"type":"string","description":"shipping name"},"technicalName":{"type":"string","description":"technical name"},"adrNumber":{"type":"string","description":"adr identification number"},"unNumber":{"type":"string","description":"united nations number (un number)"},"identificationClass":{"type":"string","description":"identification class"},"classificationCode":{"type":"string","description":"classification code"},"packingGroup":{"type":"string","description":"packing group (I, II, III or blank)"},"packingCode":{"type":"string","description":"packing code"},"transportCategory":{"type":"string","description":"transportation category"},"regulationCode":{"type":"string","description":"regulation code","enum":["FR","LQ","EQ","LR"]},"regulationSet":{"type":"string","description":"regulation Set, e.g. ADR","enum":["ADR","IATA"]},"hazardousWeight":{"type":"number","description":"weight of the hazardous part"},"subsidiaryRisk":{"type":"boolean","default":false,"description":"secundary risk of the dangerous good"},"tunnelRestrictionCode":{"type":"string","description":"tunnel restriction classes","enum":["A","B","C","D","E"]}}},"erp-product-ArticlePrintLabelSettings":{"description":"Label printing settings.","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"report":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"incomingCalculationMode":{"type":"string","description":"Incoming goods: print quantity determination.","enum":["NO_LABEL","FIXED_AMOUNT","QUANTITY_TIMES_AMOUNT","QUANTITY_PER_PACKAGING_UNIT","QUANTITY_TIMES_AMOUNT_AND_PACKAGING_QUANTITY"]},"incomingPrintQuantity":{"type":"integer","format":"int32","description":"Incoming goods: print quantity."},"outgoingCalculationMode":{"type":"string","description":"Outgoing goods: print quantity determination.","enum":["NO_LABEL","FIXED_AMOUNT","QUANTITY_TIMES_AMOUNT","QUANTITY_PER_PACKAGING_UNIT","QUANTITY_TIMES_AMOUNT_AND_PACKAGING_QUANTITY"]},"outgoingPrintQuantity":{"type":"integer","format":"int32","description":"Outgoing goods: print quantity."}}},"erp-product-ArticleAssetInformation":{"description":"Information about the connection between the asset and the Article.","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"createAssetOnStorageEntry":{"type":"boolean","default":false,"description":"Create assets automatically on stock receipt."},"createAssetOnSale":{"type":"boolean","default":false,"description":"Create the asset automatically on sale."},"createAssetOnDocumentCategory":{"type":"string","description":"Create the asset for this document category.","enum":["CUSTOMER_DELIVERY","CUSTOMER_INVOICE"]},"createWithAssetType":{"$ref":"#/components/schemas/erp-asset-AssetType"}}},"erp-asset-AssetType":{"description":"Asset.","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"label":{"type":"string","description":"Label."},"active":{"type":"boolean","default":true,"description":"Is this active?","readOnly":true}}},"erp-stock-Stock":{"description":"Stock.","properties":{"articleId":{"type":"integer","format":"int64","description":"Article."},"storageBinId":{"type":"integer","format":"int64","description":"Storage bin."},"storageBinDisplayName":{"type":"string","description":"Storage bin display name.","readOnly":true},"serialNumber":{"$ref":"#/components/schemas/erp-product-ArticleSerialNumber"},"amount":{"type":"number","description":"Stock."}},"required":["amount","articleId","storageBinId"]},"erp-product-ArticleSerialNumber":{"description":"Serial number.","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"articleRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"serialNumber1":{"type":"string","description":"Serial number 1.","maxLength":255,"minLength":0},"serialNumber2":{"type":"string","description":"Serial number 2.","maxLength":255,"minLength":0},"expiryDate":{"type":"string","format":"date","description":"Expiry date."},"ignoreExpiryDateOnStockBooking":{"type":"boolean","description":"Ignore expiry date on stock booking","readOnly":true},"note":{"type":"string","description":"Note."},"custom":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"},"udi":{"type":"string","description":"Unique Device Identifier (UDI)"}},"required":["articleRef","serialNumber1"]},"erp-wms-ArticleTrolleyStockInfo":{"description":"Article stock.","properties":{"articleRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"unit":{"$ref":"#/components/schemas/common-masterdata-UnitTypeReference"},"articleNumber":{"type":"string","description":"Article-Number"},"serialNumber":{"$ref":"#/components/schemas/erp-product-ArticleSerialNumber"},"amount":{"type":"number","description":"Stock."},"lastBookedStorageBinRef":{"$ref":"#/components/schemas/erp-stock-StorageBinRef"},"presetStorageBinRefs":{"type":"array","description":"Storage bin predefined for the article.","items":{"$ref":"#/components/schemas/erp-stock-StorageBinRef"}}},"required":["amount","unit"]},"erp-wms-StockTransferProcessingResponse.WorkbenchStorageBinRef":{"description":"Workbench storage bin of a fabrication order.","properties":{"id":{"type":"integer","format":"int64","description":"Unique identifier."},"displayName":{"type":"string","description":"Display name."},"routePosition":{"type":"integer","format":"int32","description":"Route position."},"color":{"type":"string","description":"Display color."},"storageRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"fabricationOrderRef":{"$ref":"#/components/schemas/erp-document-DocumentRef"}}},"erp-document-DocumentRef":{"description":"Reference to a Document.","properties":{"id":{"type":"integer","format":"int64","description":"Unique identifier."},"category":{"type":"string","description":"Document categories.","enum":["CUSTOMER_OFFER","CUSTOMER_ORDER","CUSTOMER_DELIVERY_DOCUMENT","CUSTOMER_INVOICE","CUSTOMER_PROFORMA_INVOICE","CUSTOMER_DELIVERY_INVOICE","CUSTOMER_PROGRESS_INVOICE","CUSTOMER_FINAL_INVOICE","CUSTOMER_PARTIAL_INVOICE","CUSTOMER_INVOICE_CANCELLATION","CUSTOMER_DELIVERY_INVOICE_CANCELLATION","CUSTOMER_PROGRESS_INVOICE_CANCELLATION","CUSTOMER_FINAL_INVOICE_CANCELLATION","CUSTOMER_PARTIAL_INVOICE_CANCELLATION","CUSTOMER_DEPOSIT_INVOICE","CUSTOMER_DEPOSIT_INVOICE_CANCELLATION","CUSTOMER_CREDIT_NOTE_WITH_STOCK","CUSTOMER_CREDIT_NOTE_WITHOUT_STOCK","CUSTOMER_CREDIT_NOTE_WITHOUT_STOCK_CANCELLATION","CUSTOMER_CREDIT_NOTE_WITH_STOCK_CANCELLATION","CUSTOMER_RETURN_ANNOUNCEMENT","CUSTOMER_GOODS_RETURN","SUPPLIER_PRICE_REQUEST","SUPPLIER_ORDER","SUPPLIER_DELIVERY_DOCUMENT","SUPPLIER_INVOICE","SUPPLIER_DELIVERY_INVOICE","SUPPLIER_CREDIT_NOTE_WITH_STOCK","SUPPLIER_CREDIT_NOTE_WITHOUT_STOCK","SUPPLIER_DEPOSIT_INVOICE","SUPPLIER_PROGRESS_INVOICE","SUPPLIER_PARTIAL_INVOICE","SUPPLIER_FINAL_INVOICE","COMMISSION_SETTLEMENT","COMMISSION_SETTLEMENT_CANCELLATION","SUPPLIER_COMMISSION_CREDIT_NOTE","SUPPLIER_COMMISSION_CREDIT_NOTE_CANCELLATION","CUSTOMER_SUBSCRIPTION_CONTRACT","POS_CASH_JOURNAL_OPENING","POS_CASH_RECEIPT","POS_RETURN_CASH_RECEIPT","POS_CASH_JOURNAL_DEPOSIT","POS_CASH_JOURNAL_EXPENSE","POS_CASH_JOURNAL_DEPOSIT_CANCELLATION","POS_CASH_JOURNAL_EXPENSE_CANCELLATION","POS_CASH_JOURNAL_WITHDRAWAL_CANCELLATION","POS_CASH_JOURNAL_WITHDRAWAL","POS_CASH_JOURNAL_CLOSING","FABRICATION_ORDER"]},"documentType":{"type":"string","description":"Document type."},"documentState":{"type":"string","description":"Document state."},"number":{"type":"string","description":"Document number."}},"required":["id"]}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://developer.vario-software.de/api-reference/umlagerung.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
